Subject: Re: linux-next: manual merge of the clk tree with Linus' tree

From: James Hogan <[email-masked]>
Date: Wed, 28 Aug 2013 09:05:16 +0100

Hi Stephen

On 28/08/13 08:22, Stephen Rothwell wrote:
> On Wed, 28 Aug 2013 10:04:31 +1000 Stephen Rothwell <[email-masked]> wrote:
>> >
>> > On Tue, 27 Aug 2013 09:53:19 -0700 Mike Turquette <[email-masked]> wrote:
>>> > >
>>> > > Quoting Sören Brinkmann (2013-08-27 08:44:11)
>>>> > > > On Tue, Aug 27, 2013 at 11:09:52AM +0100, James Hogan wrote:
>>>>> > > > > On 27/08/13 10:03, Stephen Rothwell wrote:
>>>>>> > > > > > Hi Mike,
>>>>>> > > > > > 
>>>>>> > > > > > Today's linux-next merge of the clk tree got a conflict in
>>>>>> > > > > > drivers/clk/zynq/clkc.c between commits 252957cc3a2d ("clk/zynq/clkc: Add
>>>>>> > > > > > dedicated spinlock for the SWDT") and 765b7d4c4cb3
>>>>>> > > > > > ("clk/zynq/clkc: Add CLK_SET_RATE_PARENT flag to ethernet muxes") from
>>>>>> > > > > > Linus' tree and commit 819c1de344c5 ("clk: add CLK_SET_RATE_NO_REPARENT
>>>>>> > > > > > flag") from the clk tree.
>>>>>> > > > > > 
>>>>>> > > > > > I fixed it up (see below and in a couple of places I chose
>>>>>> > > > > > CLK_SET_RATE_NO_REPARENT over CLK_SET_RATE_PARENT, which may, of course,
>>>>>> > > > > > be wrong) and can carry the fix as necessary (no action is required).
>>>>> > > > > 
>>>>> > > > > The case you mentioned looks correct to me.
>>>>> > > > > 
>>>>> > > > > I can't see todays -next yet, but if by "choose CLK_SET_RATE_NO_REPARENT
>>>>> > > > > over CLK_SET_RATE_PARENT" you mean one branch adds CLK_SET_RATE_PARENT,
>>>>> > > > > clk-next adds CLK_SET_RATE_NO_REPARENT, and the resolution ends up with
>>>>> > > > > only CLK_SET_RATE_NOREPARENT then that sounds wrong, as the two flags
>>>>> > > > > are orthogonal.
>>>> > > > 
>>>> > > > I can just agree, the case included in the mail looks correct, but in
>>>> > > > case of other conflicts both flags should be set. Just like in the case
>>>> > > > shown here.
>>> > > 
>>> > > Stephen's fix is correct. The Zynq patches came in as fixes so I think
>>> > > this will be a rare event.
>> > 
>> > Can you guys discuss this and come up with a single answer.  I read the above as:
>> > 
>> > (for the two places I used CLK_SET_RATE_NO_REPARENT where the two
>> > branches each added that and CLK_SET_RATE_NOREPARENT respectively)
>> > 
>> > "Stephen was wrong"
>> > "Stephen should have taken both"
>> > "Stephen was right"
>> > 
>> > :-)

:-)

I think the 3 way diff omitting hunks where once branch's changes are
discarded might have confused us, even though you mentioned that there
were other conflicts (I only twigged why I couldn't see them after
seeing your new resolution).

>> > 
>> > I can fix up my merge resolution if you tell me the correct fix.  Also,
>> > you will need to know so that you can tell Linus (or whoever else has to
>> > resolve these conflicts).
> OK, I thought about it some more and the resolution now looks like
> below.  Is this correct/better?

It looks correct to me now.

Thanks
James